install psycopg2 from conda

parent abfe3e83
Pipeline #147414 passed with stages
in 11 minutes and 57 seconds
......@@ -24,7 +24,7 @@ ENV PYTHONUNBUFFERED 1
# install required ubuntu packages
RUN apt-get update --fix-missing && \
apt-get install -y --no-install-recommends gcc libc-dev ca-certificates libxrender1 libxext6 wget bzip2 libgraphicsmagick++3 libopenbabel4 libpotrace0 libpq-dev && \
apt-get install -y --no-install-recommends gcc libc-dev ca-certificates libxrender1 libxext6 wget bzip2 libgraphicsmagick++3 libopenbabel4 libpotrace0 && \
apt-get -qq -y autoremove && \
apt-get autoclean && \
rm -rf /var/lib/apt/lists/* /var/log/dpkg.log
......
......@@ -10,6 +10,7 @@ dependencies:
- python=3.8
- pip
- fpsim2=0.2.8
- psycopg2
- pip:
- defusedxml==0.6.0
- django-compressor==2.3
......@@ -17,7 +18,6 @@ dependencies:
- django-tastypie==0.14.3
- elasticsearch>=7.0.0,<8.0.0
- lxml==4.4.2
- psycopg2
- pymongo==3.9.0
- python-mimeparse==0.1.4
- pyyaml==5.2
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment